Update the partner profile configuration for a specific account. Different attributes may require different authorization levels.
Configure Partner Profile
post
/api/partner-profiles/{accountId}/configure Request
Path Parameters
accountIdstring<uuid>requiredThe unique identifier of the partner account
Body application/json
attributeNamestringrequiredAllowed values:logoUrlsupportEmailsupportUrlemail.kycConfirmation.successBanner.urlemail.xpayConfirmation.applePayBanner.urlemail.xpayConfirmation.googlePayBanner.urlemail.kycConfirmation.cardActivation.urlemail.kyc.enabledConfiguration attribute name
attributeValuestring | boolean | nullrequiredConfiguration attribute value (string or boolean)
One of
Response
Partner profile configuration updated successfully.
Request parameters are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
User is not allowed to perform the action.
FORBIDDEN Insufficient permissions to perform the action.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring